from setuptools import setup, find_packages
from codecs import open
from os.path import abspath, dirname, join

here = abspath(dirname(__file__))

with open(join(here, 'README.rst'), encoding='utf-8') as f:
    ldesc = f.read()

setup(
    name='outcp',
    version='1.0.1',
    description='Outgoing TCP port tester for Python 3.4+',
    long_description=ldesc,
    url='https://github.com/m-jowett/outcp',
    author='Matthew Jowett',
    license='MIT',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'Topic :: System :: Networking',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
    keywords='tcp port tester http client outgoing out ports hosts host url ip hostname test code',
    packages=['outcp'],
    entry_points={
        'console_scripts': [
            'outcp=outcp.outcp:main',
        ],
    },
)
